Skip to content

Create new price catalogs for the authenticated buyer using a JSON file

post
https://api.mercadoe.com/v1/products/price-catalogs/bulk

Creates new price catalogs owned by the authenticated buyer (the tenant of the JWT) by providing the
information about price catalogs, products, product categories and other details.
There is no supplier in this flow: products are registered without a supplier owner.
The JSON file should contain a price catalog with detailed information on its products, product categories, and permissions.
The expected JSON structure is:
{ "disableMissingProducts": false, "clientPriceCatalogId": "123", "description": "Description", "products": [ { "supplierReferenceProductId": "456", "description": "Description" } ] ... }
Please make sure that the file is in the .json format.

Request

Headers

X-ME-CORRELATION-ID
string
Internal client code to be identified in the webhook. It can be, for example, a product code in your ERP, an order number, etc.

Body

multipart/form-data
file
binary

Responses

202
400
Accepted

Body

application/json
correlationId
string
Credentials
shell